For the complete documentation index, see llms.txt. This page is also available as Markdown.

New orders

Buscar Novo Pedido por ID

get
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório

ID do new order

Respostas
200

OK

application/json
idstringOpcional
profilestringOpcional
titlestringOpcional
activebooleanOpcional
value_assignment_idstring · uuidOpcional
main_banner_idstringOpcional
enable_fast_checkoutbooleanOpcional
get/new-orders/{newOrderId}
GET /api/b2b/new-orders/{newOrderId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "profile": "text",
  "title": "text",
  "active": true,
  "value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
  "main_banner_id": "text",
  "enable_fast_checkout": true,
  "checkout": {
    "checkout_form_id": "text",
    "auto_send": true,
    "edit_product_price": true,
    "print_cart": true,
    "resume_fields": [
      {
        "id": "text",
        "new_order_id": "text",
        "order": 1,
        "name": "text",
        "title": "text",
        "mask": "DATE",
        "type": "ADD"
      }
    ],
    "item_resume_fields": [
      {
        "id": "text",
        "new_order_id": "text",
        "order": 1,
        "name": "text",
        "title": "text",
        "mask": "DATE",
        "type": "ADD"
      }
    ],
    "delivery": {
      "title": "text",
      "displays_partner_address_option": true,
      "displays_option_collect_locally": true
    },
    "payment_method": {
      "payment_title": "text",
      "checkout_payment_methods": [
        "text"
      ]
    },
    "additional_information": {
      "additional_information_title": "text",
      "additional_information_form_id": "text"
    },
    "order_observation": {
      "observation_label": "text"
    },
    "coupon": {
      "enable": true
    }
  },
  "pre_order": {
    "pre_order_form_id": "text"
  },
  "price": {
    "type": "PAYMENT_METHOD",
    "types": [
      "PAYMENT_METHOD"
    ],
    "remove_product_without_price": true,
    "enable_value_discount": true,
    "enable_percentage_discount": true,
    "enable_manual_discount": true,
    "show_price_from_product_registration": true
  },
  "stock": {
    "type": "LOCAL_COMPANY",
    "local_origin_type": "GLOBAL_VARIABLE",
    "remove_product_without_stock": true,
    "enable_stock_reservation": true,
    "validate_stock": true,
    "show_stock": true,
    "show_other_product_stocks": true
  },
  "sellers": {
    "title_step_1": "text",
    "title_step_2": "text",
    "title_step_3": "text",
    "show_partners_linked": "SELLER",
    "listing_rule_id": "text",
    "partner_selection_title": "text",
    "partner_selection_placeholder": "text"
  },
  "product": {
    "detail": {
      "recommended": {
        "sort_type": "SMART",
        "active": true
      },
      "similarity": {
        "sort_type": "SMART",
        "active": true
      },
      "display_fields": [
        {
          "id": "text",
          "order": 1,
          "database_id": "text",
          "database_field_id": "text",
          "display_name": "text",
          "display_icon": "text"
        }
      ]
    },
    "list": {
      "expand_description": true,
      "show_multiple_column": true,
      "show_minimum_column": true,
      "card_mode": true,
      "list_mode": true,
      "table_mode": true,
      "favorite_exhibition": "CARD",
      "listing_rule_id": "text",
      "display_fields": [
        {
          "id": "text",
          "order": 1,
          "database_id": "text",
          "database_field_id": "text",
          "display_name": "text"
        }
      ],
      "header": {
        "name": "text",
        "enable_favorites": true
      },
      "filters": {
        "price_range": true,
        "best_sellers": true,
        "ascending_order": true,
        "descending_order": true,
        "lowest_price": true,
        "highest_price": true,
        "discounts": true,
        "favorite_sorting": "BEST_SELLERS"
      }
    },
    "side_filter": {
      "name": "text",
      "max_size": 1,
      "fields": [
        {
          "name": "text",
          "type": "PRICE",
          "reactive": true,
          "active": true
        }
      ]
    }
  },
  "payment_method": {
    "show_in_product_list": true
  },
  "simulate_markup": {
    "enable": true
  },
  "product_search": {
    "title": "text",
    "enable_qr_code": true,
    "has_brands": true,
    "has_categories": true,
    "has_most_searched": true,
    "fields": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "boost": "LOW",
        "search": "REGULAR",
        "created_by": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "webhooks": {
    "calculate_order_webhook_id": "text",
    "create_order_webhook_id": "text",
    "update_order_webhook_id": "text",
    "cancel_order_webhook_id": "text",
    "product_calculator_webhook_id": "text"
  },
  "order_entry": {
    "value_assignment_id_order": "text",
    "value_assignment_id_order_item": "text",
    "discount_appliance": "HIGHLIGHT",
    "generate_financial": true,
    "await_order_webhook": true,
    "forceOrderWebhookSync": true,
    "forceFinancialWebhookSync": true
  },
  "widgets": [
    {
      "id": "text",
      "title": "text",
      "type": "BANNER",
      "active": true,
      "banner_id": "text",
      "order": 1,
      "product_order_type": "BEST_SELLERS",
      "product_type": "SUGGESTED_PRODUCT",
      "listing_rule_id": "text"
    }
  ]
}

Atualizar Novo Pedido

put
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório
Corpo
titlestringOpcional
activebooleanOpcional
value_assignment_idstring · uuidOpcional
Respostas
200

OK

application/json
idstringOpcional
profilestringOpcional
titlestringOpcional
activebooleanOpcional
value_assignment_idstring · uuidOpcional
main_banner_idstringOpcional
enable_fast_checkoutbooleanOpcional
put/new-orders/{newOrderId}
PUT /api/b2b/new-orders/{newOrderId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 91

{
  "title": "text",
  "active": true,
  "value_assignment_id": "123e4567-e89b-12d3-a456-426614174000"
}
{
  "id": "text",
  "profile": "text",
  "title": "text",
  "active": true,
  "value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
  "main_banner_id": "text",
  "enable_fast_checkout": true,
  "checkout": {
    "checkout_form_id": "text",
    "auto_send": true,
    "edit_product_price": true,
    "print_cart": true,
    "resume_fields": [
      {
        "id": "text",
        "new_order_id": "text",
        "order": 1,
        "name": "text",
        "title": "text",
        "mask": "DATE",
        "type": "ADD"
      }
    ],
    "item_resume_fields": [
      {
        "id": "text",
        "new_order_id": "text",
        "order": 1,
        "name": "text",
        "title": "text",
        "mask": "DATE",
        "type": "ADD"
      }
    ],
    "delivery": {
      "title": "text",
      "displays_partner_address_option": true,
      "displays_option_collect_locally": true
    },
    "payment_method": {
      "payment_title": "text",
      "checkout_payment_methods": [
        "text"
      ]
    },
    "additional_information": {
      "additional_information_title": "text",
      "additional_information_form_id": "text"
    },
    "order_observation": {
      "observation_label": "text"
    },
    "coupon": {
      "enable": true
    }
  },
  "pre_order": {
    "pre_order_form_id": "text"
  },
  "price": {
    "type": "PAYMENT_METHOD",
    "types": [
      "PAYMENT_METHOD"
    ],
    "remove_product_without_price": true,
    "enable_value_discount": true,
    "enable_percentage_discount": true,
    "enable_manual_discount": true,
    "show_price_from_product_registration": true
  },
  "stock": {
    "type": "LOCAL_COMPANY",
    "local_origin_type": "GLOBAL_VARIABLE",
    "remove_product_without_stock": true,
    "enable_stock_reservation": true,
    "validate_stock": true,
    "show_stock": true,
    "show_other_product_stocks": true
  },
  "sellers": {
    "title_step_1": "text",
    "title_step_2": "text",
    "title_step_3": "text",
    "show_partners_linked": "SELLER",
    "listing_rule_id": "text",
    "partner_selection_title": "text",
    "partner_selection_placeholder": "text"
  },
  "product": {
    "detail": {
      "recommended": {
        "sort_type": "SMART",
        "active": true
      },
      "similarity": {
        "sort_type": "SMART",
        "active": true
      },
      "display_fields": [
        {
          "id": "text",
          "order": 1,
          "database_id": "text",
          "database_field_id": "text",
          "display_name": "text",
          "display_icon": "text"
        }
      ]
    },
    "list": {
      "expand_description": true,
      "show_multiple_column": true,
      "show_minimum_column": true,
      "card_mode": true,
      "list_mode": true,
      "table_mode": true,
      "favorite_exhibition": "CARD",
      "listing_rule_id": "text",
      "display_fields": [
        {
          "id": "text",
          "order": 1,
          "database_id": "text",
          "database_field_id": "text",
          "display_name": "text"
        }
      ],
      "header": {
        "name": "text",
        "enable_favorites": true
      },
      "filters": {
        "price_range": true,
        "best_sellers": true,
        "ascending_order": true,
        "descending_order": true,
        "lowest_price": true,
        "highest_price": true,
        "discounts": true,
        "favorite_sorting": "BEST_SELLERS"
      }
    },
    "side_filter": {
      "name": "text",
      "max_size": 1,
      "fields": [
        {
          "name": "text",
          "type": "PRICE",
          "reactive": true,
          "active": true
        }
      ]
    }
  },
  "payment_method": {
    "show_in_product_list": true
  },
  "simulate_markup": {
    "enable": true
  },
  "product_search": {
    "title": "text",
    "enable_qr_code": true,
    "has_brands": true,
    "has_categories": true,
    "has_most_searched": true,
    "fields": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "boost": "LOW",
        "search": "REGULAR",
        "created_by": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "webhooks": {
    "calculate_order_webhook_id": "text",
    "create_order_webhook_id": "text",
    "update_order_webhook_id": "text",
    "cancel_order_webhook_id": "text",
    "product_calculator_webhook_id": "text"
  },
  "order_entry": {
    "value_assignment_id_order": "text",
    "value_assignment_id_order_item": "text",
    "discount_appliance": "HIGHLIGHT",
    "generate_financial": true,
    "await_order_webhook": true,
    "forceOrderWebhookSync": true,
    "forceFinancialWebhookSync": true
  },
  "widgets": [
    {
      "id": "text",
      "title": "text",
      "type": "BANNER",
      "active": true,
      "banner_id": "text",
      "order": 1,
      "product_order_type": "BEST_SELLERS",
      "product_type": "SUGGESTED_PRODUCT",
      "listing_rule_id": "text"
    }
  ]
}

Excluir Novo Pedido

delete
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Parâmetros de rota
newOrderIdstringObrigatório

ID de novo pedido

Respostas
204

New order deleted successfully

Sem conteúdo

delete/new-orders/{newOrderId}
DELETE /api/b2b/new-orders/{newOrderId} HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Sem conteúdo

Criar Novo Pedido

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
profilestring · enumObrigatórioValores possíveis:
titlestringOpcional
activebooleanOpcional
Respostas
201

Criado

application/json
idstringOpcional
profilestringOpcional
titlestringOpcional
activebooleanOpcional
value_assignment_idstring · uuidOpcional
main_banner_idstringOpcional
enable_fast_checkoutbooleanOpcional
post/new-orders
POST /api/b2b/new-orders HTTP/1.1
Host: api.zydon.com.br
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 49

{
  "profile": "SELLER",
  "title": "text",
  "active": true
}
{
  "id": "text",
  "profile": "text",
  "title": "text",
  "active": true,
  "value_assignment_id": "123e4567-e89b-12d3-a456-426614174000",
  "main_banner_id": "text",
  "enable_fast_checkout": true,
  "checkout": {
    "checkout_form_id": "text",
    "auto_send": true,
    "edit_product_price": true,
    "print_cart": true,
    "resume_fields": [
      {
        "id": "text",
        "new_order_id": "text",
        "order": 1,
        "name": "text",
        "title": "text",
        "mask": "DATE",
        "type": "ADD"
      }
    ],
    "item_resume_fields": [
      {
        "id": "text",
        "new_order_id": "text",
        "order": 1,
        "name": "text",
        "title": "text",
        "mask": "DATE",
        "type": "ADD"
      }
    ],
    "delivery": {
      "title": "text",
      "displays_partner_address_option": true,
      "displays_option_collect_locally": true
    },
    "payment_method": {
      "payment_title": "text",
      "checkout_payment_methods": [
        "text"
      ]
    },
    "additional_information": {
      "additional_information_title": "text",
      "additional_information_form_id": "text"
    },
    "order_observation": {
      "observation_label": "text"
    },
    "coupon": {
      "enable": true
    }
  },
  "pre_order": {
    "pre_order_form_id": "text"
  },
  "price": {
    "type": "PAYMENT_METHOD",
    "types": [
      "PAYMENT_METHOD"
    ],
    "remove_product_without_price": true,
    "enable_value_discount": true,
    "enable_percentage_discount": true,
    "enable_manual_discount": true,
    "show_price_from_product_registration": true
  },
  "stock": {
    "type": "LOCAL_COMPANY",
    "local_origin_type": "GLOBAL_VARIABLE",
    "remove_product_without_stock": true,
    "enable_stock_reservation": true,
    "validate_stock": true,
    "show_stock": true,
    "show_other_product_stocks": true
  },
  "sellers": {
    "title_step_1": "text",
    "title_step_2": "text",
    "title_step_3": "text",
    "show_partners_linked": "SELLER",
    "listing_rule_id": "text",
    "partner_selection_title": "text",
    "partner_selection_placeholder": "text"
  },
  "product": {
    "detail": {
      "recommended": {
        "sort_type": "SMART",
        "active": true
      },
      "similarity": {
        "sort_type": "SMART",
        "active": true
      },
      "display_fields": [
        {
          "id": "text",
          "order": 1,
          "database_id": "text",
          "database_field_id": "text",
          "display_name": "text",
          "display_icon": "text"
        }
      ]
    },
    "list": {
      "expand_description": true,
      "show_multiple_column": true,
      "show_minimum_column": true,
      "card_mode": true,
      "list_mode": true,
      "table_mode": true,
      "favorite_exhibition": "CARD",
      "listing_rule_id": "text",
      "display_fields": [
        {
          "id": "text",
          "order": 1,
          "database_id": "text",
          "database_field_id": "text",
          "display_name": "text"
        }
      ],
      "header": {
        "name": "text",
        "enable_favorites": true
      },
      "filters": {
        "price_range": true,
        "best_sellers": true,
        "ascending_order": true,
        "descending_order": true,
        "lowest_price": true,
        "highest_price": true,
        "discounts": true,
        "favorite_sorting": "BEST_SELLERS"
      }
    },
    "side_filter": {
      "name": "text",
      "max_size": 1,
      "fields": [
        {
          "name": "text",
          "type": "PRICE",
          "reactive": true,
          "active": true
        }
      ]
    }
  },
  "payment_method": {
    "show_in_product_list": true
  },
  "simulate_markup": {
    "enable": true
  },
  "product_search": {
    "title": "text",
    "enable_qr_code": true,
    "has_brands": true,
    "has_categories": true,
    "has_most_searched": true,
    "fields": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "boost": "LOW",
        "search": "REGULAR",
        "created_by": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_by": "text",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ]
  },
  "webhooks": {
    "calculate_order_webhook_id": "text",
    "create_order_webhook_id": "text",
    "update_order_webhook_id": "text",
    "cancel_order_webhook_id": "text",
    "product_calculator_webhook_id": "text"
  },
  "order_entry": {
    "value_assignment_id_order": "text",
    "value_assignment_id_order_item": "text",
    "discount_appliance": "HIGHLIGHT",
    "generate_financial": true,
    "await_order_webhook": true,
    "forceOrderWebhookSync": true,
    "forceFinancialWebhookSync": true
  },
  "widgets": [
    {
      "id": "text",
      "title": "text",
      "type": "BANNER",
      "active": true,
      "banner_id": "text",
      "order": 1,
      "product_order_type": "BEST_SELLERS",
      "product_type": "SUGGESTED_PRODUCT",
      "listing_rule_id": "text"
    }
  ]
}